%define major 0
%define libname %mklibname iec61883_ %{major}
%define devname %mklibname iec61883 -d

Summary:	Streaming library for IEEE1394
Name:		libiec61883
Version:	1.2.0
Release:	12
License:	LGPLv2.1+
Group:		System/Libraries
Source0:	http://linux1394.org/dl/%{name}-%{version}.tar.gz
Url:		http://linux1394.org
BuildRequires:	pkgconfig(libraw1394) >= 1.2.0

%description
The libiec61883 library provides an higher level API for streaming DV,
MPEG-2 and audio over IEEE1394.  Based on the libraw1394 isochronous
functionality, this library acts as a filter that accepts DV-frames,
MPEG-2 frames or audio samples from the application and breaks these
down to isochronous packets, which are transmitted using libraw1394.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Streaming library for IEEE1394
Group:		System/Libraries
Provides:	%{name} = %{EVRD}

%description -n %{libname}
The libiec61883 library provides an higher level API for streaming DV,
MPEG-2 and audio over IEEE1394.  Based on the libraw1394 isochronous
functionality, this library acts as a filter that accepts DV-frames,
MPEG-2 frames or audio samples from the application and breaks these
down to isochronous packets, which are transmitted using libraw1394.

%files -n %{libname}
%doc AUTHORS COPYING NEWS README
%{_libdir}/libiec61883.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for libiec61883
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Conflicts:	%{_lib}iec61883_0-devel < 1.2.0-12
Obsoletes:	%{_lib}iec61883_0-devel < 1.2.0-12

%description -n %{devname}
Development libraries needed to build applications against libiec61883.

%files -n %{devname}
%doc examples/*.c
%{_libdir}/libiec61883.so
%{_includedir}/*
%{_libdir}/pkgconfig/libiec61883.pc

#----------------------------------------------------------------------------

%package utils
Summary:	Utilities for use with libiec61883
Group:		Communications
Requires:	%{name} = %{version}

%description utils
Utilities that make use of iec61883

%files utils
%{_bindir}/*
%{_mandir}/*/*

#----------------------------------------------------------------------------

%prep
%setup -q
perl -pi -e's,noinst,bin,' examples/Makefile.am

%build
autoreconf -i
%configure2_5x --disable-static
%make

%install
%makeinstall_std


%changelog
* Fri Dec 12 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.2.0-12
+ Revision: 5dea185
- Properly name devel library package
- Don't build static library
- Spec cleanup


